extend layout

include mixins

block headers
  title= `${config.siteName}: ${item.title}`
  meta(property="og:title", content=`${config.siteName}: ${item.title}`)
  meta(property="og:type", content="website")
  meta(property="og:image", content=item.image)
  meta(property="og:url", content=`${config.url}/item/${item.itemId}`)
  meta(property="og:site_name", content=config.siteName)
  meta(name="description", content=item.description.text)
  meta(property="og:description", content=item.description.text)
  link(rel="stylesheet", type="text/css", href=config.jugaIo.css)

block content
  .item-page
    h1= item.title
    //- p.lead= moment(item.date).format("LL")
    .juga-io(
      data-juga-io-item=item.itemId,
      data-juga-io-user=config.jugaIo.userId,
      data-juga-io-feed=item.feedId,
      data-juga-io-endpoint=config.jugaIo.endpoint+"/api/1.0/"
    )
      +loading()
  +addthis()


block extraScripts
  script(type="text/javascript", src="https://cdn.juga.io/jugaio-client-deps.js" + "?v=" + config.version)
  script(type="text/javascript", src=config.jugaIo.jsUrl + "?v=" + config.version)
